<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">

    <!-- parameters: -->
    <!--    <ui:param name="reporter" value="#{validationResultBeanGui.reporter}"/>-->
            <c:set var="validationDateTitle" value="#{validationDateTitle == null ? messages['gazelle.evs.client.validation.date'] : validationDateTitle}"/>
            <c:set var="validationResultTitle" value="#{validationResultTitle == null ? messages['net.ihe.gazelle.evsclient.ValidationResults'] : validationResultTitle}"/>

            <dl class="dl-horizontal">

                <dt title="#{validationDateTitle}" class="#{dt_styleClass}">
                    #{validationDateTitle} :
                </dt>
                <dd class="#{dd_styleClass}">
                    <g:date date="true" time="true"
                            value="#{reporter.validationReport.validationOverview.validationDateTime.toGregorianCalendar().getTime()}" tooltip="false"/>
                </dd>

                <dt title="#{reporter.validationReport.validationOverview.validationServiceName}" class="#{dt_styleClass}">
                    <h:outputText value="#{reporter.validationReport.validationOverview.validationServiceName} :"/>
                </dt>
                <dd class="#{dd_styleClass}">
                    <h:outputText value="#{reporter.validationReport.validationOverview.validatorID}"/>
                    <h:outputText
                            value=" (#{messages['net.ihe.gazelle.xval.Version']} #{reporter.validationReport.validationOverview.validationServiceVersion})"
                            rendered="#{reporter.validationReport.validationOverview.validationServiceVersion != null}"/>
                    <h:outputText
                            value=" (#{messages['net.ihe.gazelle.xval.Version']} #{messages['net.ihe.gazelle.evs.NA']})"
                            rendered="#{reporter.validationReport.validationOverview.validationServiceVersion == null}"/>
                </dd>

                <dt title="#{validationResultTitle}" class="#{dt_styleClass}">
                    <h:outputText value="#{validationResultTitle} :"/>
                </dt>
                <dd class="#{dd_styleClass}">
                    <h:outputText styleClass="gzl-label gzl-label-#{reporter.getColor(reporter.validationReport.validationOverview.validationOverallResult)}" value="#{reporter.getLabel(reporter.validationReport.validationOverview.validationOverallResult)}"/>
                </dd>
            </dl>

</ui:composition>